Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in tiff
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in tiff
ID: SUSE-SU-2018:4008-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Basesystem 15, SUSE Linux Enterprise Module for Desktop Applications 15, SUSE Linux Enterprise Module for Open Buildservice Development Tools 15, SUSE Linux Enterprise Module for Packagehub Subpackages 15
Datum: Fr, 7. Dezember 2018, 18:14
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-10092
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-6223
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19210
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-10094
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12944
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-10093
Applikationen: libtiff

Originalnachricht

   SUSE Security Update: Security update for tiff
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:4008-1
Rating: moderate
References: #1017693 #1054594 #1115717 #990460
Cross-References: CVE-2016-10092 CVE-2016-10093 CVE-2016-10094
CVE-2016-6223 CVE-2017-12944 CVE-2018-19210

Affected Products:
SUSE Linux Enterprise Module for Packagehub Subpackages 15
SUSE Linux Enterprise Module for Open Buildservice
Development Tools 15
SUSE Linux Enterprise Module for Desktop Applications 15
SUSE Linux Enterprise Module for Basesystem 15
______________________________________________________________________________

An update that fixes 6 vulnerabilities is now available.

Description:

This update for tiff fixes the following issues:

Security issues fixed:

- CVE-2018-19210: Fixed NULL pointer dereference in the
TIFFWriteDirectorySec function (bsc#1115717).
- CVE-2017-12944: Fixed denial of service issue in the
TIFFReadDirEntryArray function (bsc#1054594).
- CVE-2016-10094: Fixed heap-based buffer overflow in the _tiffWriteProc
function (bsc#1017693).
- CVE-2016-10093: Fixed heap-based buffer overflow in the _TIFFmemcpy
function (bsc#1017693).
- CVE-2016-10092: Fixed heap-based buffer overflow in the TIFFReverseBits
function (bsc#1017693).
- CVE-2016-6223: Fixed out-of-bounds read on memory-mapped files in
TIFFReadRawStrip1() and TIFFReadRawTile1() (bsc#990460).


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for Packagehub Subpackages 15:

zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-2018-2864=1

- SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:

zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2018-2864=1

- SUSE Linux Enterprise Module for Desktop Applications 15:

zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2018-2864=1

- SUSE Linux Enterprise Module for Basesystem 15:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-2018-2864=1



Package List:

- SUSE Linux Enterprise Module for Packagehub Subpackages 15 (aarch64
ppc64le s390x x86_64):

tiff-4.0.9-5.20.1
tiff-debuginfo-4.0.9-5.20.1
tiff-debugsource-4.0.9-5.20.1

- SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
(aarch64 ppc64le s390x x86_64):

tiff-4.0.9-5.20.1
tiff-debuginfo-4.0.9-5.20.1
tiff-debugsource-4.0.9-5.20.1

- SUSE Linux Enterprise Module for Desktop Applications 15 (x86_64):

libtiff5-32bit-4.0.9-5.20.1
libtiff5-32bit-debuginfo-4.0.9-5.20.1
tiff-debugsource-4.0.9-5.20.1

- SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x
x86_64):

libtiff-devel-4.0.9-5.20.1
libtiff5-4.0.9-5.20.1
libtiff5-debuginfo-4.0.9-5.20.1
tiff-debuginfo-4.0.9-5.20.1
tiff-debugsource-4.0.9-5.20.1


References:

https://www.suse.com/security/cve/CVE-2016-10092.html
https://www.suse.com/security/cve/CVE-2016-10093.html
https://www.suse.com/security/cve/CVE-2016-10094.html
https://www.suse.com/security/cve/CVE-2016-6223.html
https://www.suse.com/security/cve/CVE-2017-12944.html
https://www.suse.com/security/cve/CVE-2018-19210.html
https://bugzilla.suse.com/1017693
https://bugzilla.suse.com/1054594
https://bugzilla.suse.com/1115717
https://bugzilla.suse.com/990460

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung